import { DocumentPointer, SchemaPointer } from '@graphql-toolkit/common';
export declare type PointerWithConfiguration<T = any> = {
    [key: string]: T;
};
export interface IExtensions {
    [name: string]: any;
}
export interface IGraphQLProjects {
    projects: Record<string, IGraphQLProject | IGraphQLProjectLegacy>;
}
export declare type IGraphQLConfig = IGraphQLProject | IGraphQLProjects | IGraphQLProjectLegacy;
export interface IGraphQLProjectLegacy {
    schemaPath: string;
    includes?: string[];
    excludes?: string[];
    extensions?: Record<string, any>;
}
export interface IGraphQLProject {
    schema: SchemaPointer;
    documents?: DocumentPointer;
    extensions?: IExtensions;
    include?: string | string[];
    exclude?: string | string[];
}
export interface GraphQLConfigResult {
    config: IGraphQLConfig;
    filepath: string;
}
export declare function ɵ(): void;
//# sourceMappingURL=types.d.ts.map